Installer - Feature #34239

Add support for REX pull transport
01/10/2022 06:11 PM - Jeremy Lenz

Status: Closed

Priority: Normal

Assignee: William Clark

Category:

Target version:

Difficulty: Fixed in Releases: 3.3.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/725,
https://github.com/theforeman/puppet-for
eman_proxy/pull/726,
https://github.com/theforeman/puppet-for
eman_proxy/pull/737,
https://github.com/theforeman/foreman-i
nstaller/pull/760,
https://github.com/theforeman/puppet-for
eman_proxy/pull/745,
https://github.com/theforeman/foreman-i
nstaller/pull/762

Description

For users who want to use yggdrasil / rhc with SSH remote execution provider, installer support is needed to properly configure the
message broker and smart_proxy_remote_execution_ssh.

# /etc/foreman-proxy/settings.d/remote_execution_ssh.yml
:mgtt_broker: localhost

cmgtt_port: 1883

:mode: pull-mgtt

Associated revisions

Revision 733c429f - 02/08/2022 10:07 AM - William Clark

Refs #34239 - Use mode parameter for remote_execution_ssh plugin

The old async_ssh setting is now configured by setting the value of the
newly introduced mode parameter to ssh-async. See the commit which
introduced this change for more information:

https://github.com/theforeman/smart_proxy remote_execution_ssh/commit/611f315acbf3a9cf23a4ff500a9ca31fd84a00c4

This is part of version 0.5.0, which is included since Foreman 3.1.

Revision d7be285e - 04/22/2022 06:49 PM - Eric Helms

Fixes #34239: Add pull-mqtt support to smart_proxy_remote_execution
Revision 21ad29b8 - 04/22/2022 08:20 PM - Eric Helms
Refs #34239: Require voxpupuli/puppet-mosquitto

This is needed to support REX pull transport via MQTT as puppet-mosquitto
is a soft dependency of puppet-foreman_proxy.

Revision 03733d5e - 04/25/2022 08:03 PM - Eric Helms
Refs #34239: Change mosquitto certs to use source
Spec tests won't pass if using content as there is no actual file

to read. To avoid mocking, use source to pull from the local source
on disk when copying the certificates.
https://github.com/theforeman/smart_proxy_remote_execution_ssh/commit/611f315acbf3a9cf23a4ff500a9ca31fd84a00c4

Revision 4221f8a5 - 04/25/2022 08:03 PM - Eric Helms
Refs #34239 - Add mqtt_broker and mqtt_port settings to REX config

Revision 6664548e - 04/28/2022 12:46 PM - Evgeni Golov

Refs #34239: Require a stable mosquitto version

History

#1 - 01/11/2022 11:34 AM - Ewoud Kohl van Wijngaarden
- Description updated

#2 - 02/04/2022 04:51 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to William Clark

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/725 added

#3 - 02/09/2022 11:05 AM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/726 added

#4 - 04/22/2022 05:58 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/737 added

#5 - 04/22/2022 06:49 PM - The Foreman Bot
- Fixed in Releases 3.3.0 added

#6 - 04/22/2022 06:51 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/760 added

#7 - 04/22/2022 07:01 PM - Eric Helms
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|d7be285eb46697145b98e108531001117ac766b8.

#8 - 04/25/2022 12:35 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/745 added

#9 - 04/28/2022 07:33 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/762 added
